# jest-console-matchers

[![npm](https://img.shields.io/npm/v/jest-console-matchers.svg)](https://www.npmjs.com/package/jest-console-matchers)
[![npm](https://img.shields.io/npm/dt/jest-console-matchers.svg)](https://www.npmjs.com/package/jest-console-matchers)
[![npm](https://img.shields.io/npm/l/jest-console-matchers.svg)](https://github.com/negativetwelve/jest-console-matchers/blob/master/LICENSE)
[![CircleCI branch](https://img.shields.io/circleci/project/github/negativetwelve/jest-console-matchers/master.svg)](https://circleci.com/gh/negativetwelve/jest-console-matchers)

Adds `jest` matchers for watching `console` methods.

## Getting Started

Install `jest-console-matchers` using `yarn`:

```shell
yarn add --dev jest-console-matchers
```

## Matchers

Adds the following matchers which check for `console` methods to be called:

| Matcher | Method |
|---------|--------|
| `toConsoleDebug` | `console.debug` |
| `toConsoleError` | `console.error` |
| `toConsoleLog` | `console.log` |
| `toConsoleWarn` | `console.warn` |
| `toThrowWarning` | `warning` |

## Usage

Example spec that uses these matchers.

```javascript
import 'jest-console-matchers';

describe('User', () => {
  set('user', () => new User());

  describe('.sayHello', () => {
    it('logs hello', () => {
      expect(() => user.sayHello()).toConsoleLog();
    });
  });

  describe('.delete', () => {
    it('warns about deleting', () => {
      expect(() => user.delete()).toConsoleWarn();
    });
  });
});
```

## Contributing

If you have any ideas on how this package could be better, [create an Issue](https://github.com/negativetwelve/jest-console-matchers/issues) or [submit a PR](https://github.com/negativetwelve/jest-console-matchers/pulls).
